<?php 
namespace Drupal\noahs_page_builder\Plugin\Control;

use Drupal\noahs_page_builder\Annotation\ControlPlugin;
use Drupal\noahs_page_builder\Plugin\Control\ControlBase;

/**
 * @ControlPlugin(
 *   id = "hidden",
 *   label = @Translation("hidden")
 * )
 */
class ControlHidden extends ControlBase{
	
	public function get_type() {
		return 'hidden';
	}

	public function content_template(array $params = []) {
		$data = $params['data'] ?? null;
    	$name = $params['name'] ?? null;
    	$value = $params['value'] ?? null;
		$output = '<input type="hidden" name="'.$name.'" value="' . $value . '"field-settings/>';

	
		return $output;
	}
	public function get_default_settings() {
		return [
			'input_type' => 'hidden',
			'title' => '',
		];
	}
}